<?php
	// a plugin for inukshukGTD by Bluemoon inc. (c) dashboard

	if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;

	/*
		$db : db instance
		$myts : MyTextSanitizer instance
		$this->year : year
		$this->month : month
		$this->user_TZ : user's timezone (+1.5 etc)
		$this->server_TZ : server's timezone (-2.5 etc)
		$tzoffset_s2u : the offset from server to user
		$now : the result of time()
		$plugin = array('dirname'=>'dirname','name'=>'name','dotgif'=>'*.gif')
		$just1gif : 0 or 1
		
		$plugin_returns[ DATE ][]
	*/
	
	global $xoopsUser;
	$xoopsUser_uid = $xoopsUser ? $xoopsUser->uid() : NULL;

	// set range (added 86400 second margin "begin" & "end")
	$range_start_s = mktime(0,0,0,$this->month,0,$this->year) ;
	$range_end_s = mktime(0,0,0,$this->month+1,1,$this->year) ;

	// options
	$options = explode( '|' , $plugin['options'] ) ;
	// options[0] : category extract
	if( ! empty( $options[0] ) ) {
		$whr_attr = '`gtd_attr` IN (' . addslashes( $options[0] ) . ')' ;
	} else {
		$whr_attr = 'gtd_attr IN (4,6,7)' ;
	}
	// query (added 86400 second margin "begin" & "end")
	$result = $db->query( "SELECT subject,msg_id,start_date,gtd_done FROM ".$db->prefix("inukshuk_gtd")
		." WHERE to_userid=".$xoopsUser_uid." AND ($whr_attr) AND start_date >= $range_start_s AND start_date < $range_end_s AND (gtd_done != 9 )" ) ;
	while( list( $title , $id , $server_time, $gtd_done ) = $db->fetchRow( $result ) ) {
		$user_time = $server_time + $tzoffset_s2u ;
		if( date( 'n' , $user_time ) != $this->month ) continue ;
		$target_date = date('j',$user_time) ;
		$tmp_array = array(
			'dotgif' => $plugin['dotgif'] ,
			'dirname' => $plugin['dirname'] ,
			'link' => XOOPS_URL."/modules/{$plugin['dirname']}/index.php?gtdDone=$gtd_done" ,
			'id' => $id ,
			'server_time' => $server_time ,
			'user_time' => $user_time ,
			'name' => 'storyid' ,
			'title' => $myts->makeTboxData4Show( $title )
		) ;
		if( $just1gif ) {
			// just 1 gif per a plugin & per a day
			$plugin_returns[ $target_date ][ $plugin['dirname'] ] = $tmp_array ;
		} else {
			// multiple gifs allowed per a plugin & per a day
			$plugin_returns[ $target_date ][] = $tmp_array ;
		}
	}
?>